=== debian/changelog ===
libsdl1.3 (0.0~git) unstable; urgency=low

  * Initial release Git date: May 28, 2009

 -- Wilson Tang <Wil.7ang@gmail.com>  Fri, 16 Oct 2009 19:39:33 -0400
