=== debian/changelog ===
libsdl1.3 (0.0~git-1) unstable; urgency=low

  * Packages fixed.

 -- Wilson Tang <Wil.7ang@gmail.com>  Sat, 17 Oct 2009 12:14:15 -0400
