=== debian/control ===
Source: libsdl1.3
Priority: optional
Maintainer: Wilson Tang <Wil.7ang@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libx11-dev, libsm-dev, libxpm-dev, libxext-dev, libxi-dev, libxrandr-dev, libxmu-dev, x-dev, automake1.8, libasound2-dev, libgles2-dev | libgles2-sgx-img-dev
Standards-Version: 3.7.2
Section: libs

Package: libsdl1.3-dev
Section: libdevel
Architecture: any
Depends: libsdl1.3 (= ${Source-Version})
Replaces: libsdl1.2, libsdl1.2-dev
Description: Development files for libsdl
 Development headers and static libraries for libsdl.

Package: libsdl1.3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libsdl1.2, libsdl1.2-dev
Description: Simple "Direct"Media Layer

Package: libsdl1.3-dbg
Section: libdevel
Architecture: any
Depends: libsdl1.3 (= ${Source-Version})
Description: libsdl debug symbols
 Debug symbols for libsdl.
